## MenuOption

Description

Each menu option is an object.

Located in /MenuSet.php (line 21)

Variable Summary
string $rendered
reference $self
Method Summary
MenuOption MenuOption (string $label, string $target, [string $title = ""], [string $style = "menu"], [int $sortkey = 1000])
void Active ([string $style = false])
void AddSubmenu ( &$submenu_set)
boolean IsActive ()
boolean MaybeActive ( $test_pattern, $active_style)
string Render ()
void Set (string $attribute, string $value)
Variables
Strict Standards: Only variables should be passed by reference in /usr/share/php/PhpDocumentor/phpDocumentor/Smarty-2.6.0/libs/Smarty_Compiler.class.php on line 712 Warning: strftime(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone. in /usr/share/php/PhpDocumentor/phpDocumentor/Smarty-2.6.0/libs/Smarty_Compiler.class.php on line 370
string $rendered (line 81)

The rendered HTML fragment (once it has been).

- access: public

reference $self (line 72)

A reference to this menu option itself

Methods
Constructor MenuOption (line 92)

The thing we click

MenuOption MenuOption (string $label, string $target, [string $title = ""], [string $style = "menu"], [int $sortkey = 1000])

- string $label: The label to display for this option.
- string $target: The URL to target for this option.
- string $title: Some tooltip help for the title tag.
- string $style: A base class name for this option.
- int $sortkey: An (optional) value to allow option ordering.

Active (line 139)

Mark it as active, with a fancy style to distinguish that

void Active ([string $style = false])

- string $style: A style used to highlight that the option is active.

AddSubmenu (line 147)

This menu option is now promoted to the head of a tree

void AddSubmenu ( &$submenu_set)

- &$submenu_set

IsActive (line 155)

Whether this option is currently active.

- return: The value of the active flag.

boolean IsActive ()
MaybeActive (line 163)

Whether this option is currently active.

- return: The value of the active flag.

boolean MaybeActive ( $test_pattern, $active_style)

- $test_pattern
- $active_style

Render (line 109)

Convert the menu option into an HTML string

- return: The HTML fragment for the menu option.

string Render ()
Set (line 131)

Set arbitrary attributes of the menu option

void Set (string $attribute, string $value)

- string $attribute: An arbitrary attribute to be set in the hyperlink.
- string $value: A value for this attribute.

Documentation generated on Wed, 04 Jul 2012 07:06:14 +0000 by phpDocumentor 1.4.3